<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for WeatherValue StructType
 * @subpackage Structs
 */
abstract class WeatherValue extends BasicDataValue
{
    /**
     * The weatherValueExtension
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\ExtensionType
     */
    public $weatherValueExtension;
    /**
     * Constructor method for WeatherValue
     * @uses WeatherValue::setWeatherValueExtension()
     * @param \StructType\ExtensionType $weatherValueExtension
     */
    public function __construct(\StructType\ExtensionType $weatherValueExtension = null)
    {
        $this
            ->setWeatherValueExtension($weatherValueExtension);
    }
    /**
     * Get weatherValueExtension value
     * @return \StructType\ExtensionType|null
     */
    public function getWeatherValueExtension()
    {
        return $this->weatherValueExtension;
    }
    /**
     * Set weatherValueExtension value
     * @param \StructType\ExtensionType $weatherValueExtension
     * @return \StructType\WeatherValue
     */
    public function setWeatherValueExtension(\StructType\ExtensionType $weatherValueExtension = null)
    {
        $this->weatherValueExtension = $weatherValueExtension;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\WeatherValue
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
